Debian Bug report logs - #604387
Preparations for the removal of the KDE3 and Qt3 libraries

version graph

Package: src:unixodbc; Maintainer for src:unixodbc is Steve Langasek <vorlon@debian.org>;

Reported by: Eckhart Wörner <ewoerner@kde.org>

Date: Sun, 21 Nov 2010 20:03:09 UTC

Severity: important

Tags: help, sid, wheezy

Merged with 639870

Fixed in versions unixodbc-gui-qt/2.3.0-1, unixodbc/2.2.14p2-4

Done: Steve Langasek <vorlon@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Steve Langasek <vorlon@debian.org>:
Bug#604387; Package src:unixodbc. (Sun, 21 Nov 2010 20:03:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eckhart Wörner <ewoerner@kde.org>:
New Bug report received and forwarded. Copy sent to Steve Langasek <vorlon@debian.org>. (Sun, 21 Nov 2010 20:03:12 GMT) Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Eckhart Wörner <ewoerner@kde.org>
To: maintonly@bugs.debian.org
Subject: Preparations for the removal of the KDE3 and Qt3 libraries
Date: Sun, 21 Nov 2010 21:00:54 +0100
Source: unixodbc
Severity: wishlist
User: debian-qt-kde@lists.debian.org
Usertags: qt3libs-removal


Dear maintainer,

The Debian Qt/KDE team is planning to remove the KDE3 and Qt3 libraries from 
Debian shortly after the Squeeze release. The transition phase to KDE4 and Qt4 
will finish since both KDE and Nokia upstream don't maintain the old versions 
of those libraries anymore.

In order to make this move, all packages directly or indirectly depending on 
the KDE3/Qt3 libraries have to either get ported to KDE4/Qt4 or eventually get 
removed from the Debian repositories.

Therefore, please take the time and:
- contact your upstream (if existing) and ask about the state of a KDE4/Qt4 
port of your application
- if there are no activities regarding porting, investigate whether there are 
suitable alternatives for your users
- if there is a KDE4/Qt4 port that is not yet packaged, consider packaging it
- if both the KDE3/Qt3 and the KDE4/Qt4 version already coexist in the Debian 
archives, consider removing the KDE3/Qt3 version

Documentation on how to port to KDE4 can be found at:
http://techbase.kde.org/index.php?title=Development/Tutorials/KDE4_Porting_Guide

Documentation on how to port to Qt4 can be found at:
http://doc.qt.nokia.com/4.7/porting4.html

For any questions and issues, do not hesitate to contact the Debian Qt/KDE 
team at debian-qt-kde@lists.debian.org

Eckhart




Severity set to 'serious' from 'wishlist' Request was from Eckhart Wörner <ewoerner@kde.org> to control@bugs.debian.org. (Tue, 08 Feb 2011 11:28:20 GMT) Full text and rfc822 format available.

Added tag(s) sid and wheezy. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Thu, 10 Feb 2011 19:34:19 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'serious' Request was from Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com> to control@bugs.debian.org. (Sat, 26 Feb 2011 18:36:27 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Steve Langasek <vorlon@debian.org>:
Bug#604387; Package src:unixodbc. (Mon, 02 May 2011 23:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sune Vuorela <sune@debian.org>:
Extra info received and forwarded to list. Copy sent to Steve Langasek <vorlon@debian.org>. (Mon, 02 May 2011 23:15:03 GMT) Full text and rfc822 format available.

Message #16 received at 604387@bugs.debian.org (full text, mbox):

From: Sune Vuorela <sune@debian.org>
To: 604387@bugs.debian.org
Subject: transferring unixodbc to qt4
Date: Tue, 3 May 2011 00:35:20 +0200
Hi Steve

It looks like upstream supports qt4 as well, so it is just a matter of a bit 
of adoptions in the packaging.

It (of course) changes the abi (and the soname) of libodbcinstq1c2 package. I 
haven't described the steps to fix that part up.

debian/control:
 - remove libqt3-mt-dev and libqt3-compat-headers from build-dep
 - add libqt4-dev libqtassistantclient-dev to build-dep

debian/rules
 - change --with-qt-includes=/usr/include/qt3 to --with-qt-
includes=/usr/include/qt4

before building, the following needs to be run:
grep -Hl "The moc has changed too much" odbcinstQ4/*   | xargs rm
(maybe rm odbcinstQ4/m*.cpp can do it as well, but it seems a bit too generic 
to trust it not having false positives)

The following executables seems to not be provided any longer:
usr/bin/DataManager
usr/bin/DataManagerII
usr/bin/odbctest

but ODBCConfig seems to provide some kind of DataManager utility.

The above steps gave me a ODBCConfig gui using Qt4 that I didn't fully 
understand what was doing.

/Sune
-- 
How may I open the mailer?

You neither must overclock the mailer of the FPU, nor need to explore a 
computer.




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#604387; Package src:unixodbc. (Mon, 22 Aug 2011 01:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. (Mon, 22 Aug 2011 01:30:03 GMT) Full text and rfc822 format available.

Message #21 received at 604387@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: 604387@bugs.debian.org
Subject: Re: Preparations for the removal of the KDE3 and Qt3 libraries
Date: Sun, 21 Aug 2011 18:27:21 -0700
[Message part 1 (text/plain, inline)]
tags 603487 + help
thanks

With Sune's assistance, I've gotten as far as the attached patch with this
issue.  However, while this is enough for the package to build, the
resulting ODBCConfig interface is unusable because it's impossible to select
a driver or DSN to configure (everything is grayed out).

So this is blocked until someone can provide a working qt4-based ODBCConfig.
I'll have a look at whether the new upstream version fixes this.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[unixodbc-604387-noworkie.patch (text/x-diff, attachment)]

Added tag(s) help. Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. (Mon, 22 Aug 2011 01:36:02 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Wed, 24 Aug 2011 08:06:03 GMT) Full text and rfc822 format available.

Reply sent to Steve Langasek <vorlon@debian.org>:
You have taken responsibility. (Wed, 24 Aug 2011 21:51:07 GMT) Full text and rfc822 format available.

Notification sent to Eckhart Wörner <ewoerner@kde.org>:
Bug acknowledged by developer. (Wed, 24 Aug 2011 21:51:07 GMT) Full text and rfc822 format available.

Message #30 received at 604387-close@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: 604387-close@bugs.debian.org
Subject: Bug#604387: fixed in unixodbc-gui-qt 2.3.0-1
Date: Wed, 24 Aug 2011 21:48:12 +0000
Source: unixodbc-gui-qt
Source-Version: 2.3.0-1

We believe that the bug you reported is fixed in the latest version of
unixodbc-gui-qt, which is due to be installed in the Debian FTP archive:

libodbcinstq4-1_2.3.0-1_amd64.deb
  to main/u/unixodbc-gui-qt/libodbcinstq4-1_2.3.0-1_amd64.deb
unixodbc-bin_2.3.0-1_amd64.deb
  to main/u/unixodbc-gui-qt/unixodbc-bin_2.3.0-1_amd64.deb
unixodbc-gui-qt_2.3.0-1.diff.gz
  to main/u/unixodbc-gui-qt/unixodbc-gui-qt_2.3.0-1.diff.gz
unixodbc-gui-qt_2.3.0-1.dsc
  to main/u/unixodbc-gui-qt/unixodbc-gui-qt_2.3.0-1.dsc
unixodbc-gui-qt_2.3.0.orig.tar.gz
  to main/u/unixodbc-gui-qt/unixodbc-gui-qt_2.3.0.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 604387@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Steve Langasek <vorlon@debian.org> (supplier of updated unixodbc-gui-qt package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 24 Aug 2011 01:08:53 +0000
Source: unixodbc-gui-qt
Binary: unixodbc-bin libodbcinstq4-1
Architecture: source amd64
Version: 2.3.0-1
Distribution: unstable
Urgency: low
Maintainer: Steve Langasek <vorlon@debian.org>
Changed-By: Steve Langasek <vorlon@debian.org>
Description: 
 libodbcinstq4-1 - Qt-based ODBC configuration library
 unixodbc-bin - Graphical tools for ODBC management and browsing
Closes: 604387
Changes: 
 unixodbc-gui-qt (2.3.0-1) unstable; urgency=low
 .
   * First upstream release of the split unixODBC GUI Qt package.
   * The new version is Qt4-only.  Closes: #604387.  The tools have been
     split and renamed in the process.
   * qt.m4: kill the gratuitous checks for X.  Qt takes care of its own
     graphic dependencies.
   * qt.m4: fix broken usage information.
   * Use the new --with-qt_dir_include option.
   * Pull in ini/ini.h, gtrtstQ4/gtrtstQ4.exp and
     ODBCTestQ4/ODBCTestQ4-48.xpm, missing from the upstream tarball.
   * ODBCTestQ4/DlgEnvAllocEnv.cpp, ODBCTestQ4/conn.cpp: pass some default
     values which for some reason the compiler can't figure out on its own
   * Add _LT_LANG_CXX_CONFIG back to acinclude.m4, since libtool upstream
     still doesn't handle symbol export lists right for C++.
   * Remove a spurious blank line from the .exp files which breaks the
     syntax of the resulting version script.
   * update debian/libodbcinstq4-1.symbols for new symbol.
   * update unixodbc-bin.menu for the new command names.
Checksums-Sha1: 
 bcc16f081158af4465bc8c60531bb0d054c18b57 1944 unixodbc-gui-qt_2.3.0-1.dsc
 e8737b0145519a9b0db3aea35b0d064777166807 702749 unixodbc-gui-qt_2.3.0.orig.tar.gz
 f6f9d83f64ff36b848193d123489002c71d815bd 43964 unixodbc-gui-qt_2.3.0-1.diff.gz
 51e6d6b5315b2c0ef7f02abd5c4a0ba03c8facec 18370 unixodbc-bin_2.3.0-1_amd64.deb
 f0eaab8bc6663e7598e09917f21cd22f4fb7e873 302048 libodbcinstq4-1_2.3.0-1_amd64.deb
Checksums-Sha256: 
 ada811af3d5b22df1a9c7c752f446e3f2d540056ce3e8aa6143cfed2f79ab2bb 1944 unixodbc-gui-qt_2.3.0-1.dsc
 486b9b34cf018d1edb43770c3f199fd4c3adec9621f87b5bf132020e072b72e5 702749 unixodbc-gui-qt_2.3.0.orig.tar.gz
 afd6e9cf9092662f1f27349954acc0f10d7067079df3d649f52cf297ecc48fdf 43964 unixodbc-gui-qt_2.3.0-1.diff.gz
 179dcaa1a626b60417a561a071646f852ea2a8714063be9d5dc19389a9875a04 18370 unixodbc-bin_2.3.0-1_amd64.deb
 53d4b90e7287900d11aec0da53c5d04eab591b84d7664a4bed5d364f1b1ff997 302048 libodbcinstq4-1_2.3.0-1_amd64.deb
Files: 
 295f4c2b6016d377ef6668ec94341d3b 1944 libs optional unixodbc-gui-qt_2.3.0-1.dsc
 6b203c3d7029407425564cf52a7c4eed 702749 libs optional unixodbc-gui-qt_2.3.0.orig.tar.gz
 7ade5a44ac218ffe86475da69fcb65da 43964 libs optional unixodbc-gui-qt_2.3.0-1.diff.gz
 ad429ad04747fc33f7c65bf7e4198309 18370 x11 optional unixodbc-bin_2.3.0-1_amd64.deb
 3f921e64cc27b2eb625473f9d021b5c9 302048 libs optional libodbcinstq4-1_2.3.0-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIVAwUBTlSCaVaNMPMhshM9AQh2ehAAtjqSkzdu1/3yO3KwDgNA3RZEq7yjMTwy
lLvfRBGuwpgNv30617bEcxc8vAilFX3QzgHmNovP31qBAyWcGoWiZBvjkiFWbyVN
b9ZgP0Aut0COeulTGq6kbGT8vGUUmpgQyr5tX4OiU0KJqyyCkNrAIloE/qWpdUnp
xu3Es4Cv5AMopwex4neIrOiCCoR1Qzvhu9l5XpXmxua2tYq+PT53nQFSXqCp6NFP
MteHgbUleP0FLr38dYktsSDs338GR7l1WJYy2uUELwgHvFHSLEXZmI5c7Vtjnd38
hLAppxcHSrmBcorfQ3a9O26J9Bx9PxAokDUCXTKtG4HvaP7xWdjKjzuIdU8cMkVW
GIP0PD9T2fqnymcT+i78cjYHhzHKe3a5MW7/H+WDUpHW3mnTUXBoGEBmZpBYsukv
Stlou23XP4+bxEIAond8Ec+UssB1HomoLX2YXTye0EB4oFIS2rgXmmRhkHRvSZyg
cB7Dmp4lw3xhsZecb0zL7op8Rlevp06+zgwUqK0coYVtXHSmp++8+ukUDO05lKAr
MLnE8qfLNt+Up2saJRX+vnjhd107+Gkqgkg8UobnBgW3LSGdnDtOsmjaH+BXN3SO
XKGDeouOaS+qQ8NfWbgl0yVD5zujSLW9/W2VDDBp3gQbSVTcZKYKX0bhBEMwnOHR
fbngS/3QWaY=
=cAy3
-----END PGP SIGNATURE-----





Reply sent to Steve Langasek <vorlon@debian.org>:
You have taken responsibility. (Mon, 17 Oct 2011 18:06:03 GMT) Full text and rfc822 format available.

Notification sent to Eckhart Wörner <ewoerner@kde.org>:
Bug acknowledged by developer. (Mon, 17 Oct 2011 18:06:04 GMT) Full text and rfc822 format available.

Message #35 received at 604387-close@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: 604387-close@bugs.debian.org
Subject: Bug#604387: fixed in unixodbc 2.2.14p2-4
Date: Mon, 17 Oct 2011 18:03:35 +0000
Source: unixodbc
Source-Version: 2.2.14p2-4

We believe that the bug you reported is fixed in the latest version of
unixodbc, which is due to be installed in the Debian FTP archive:

libodbc1_2.2.14p2-4_amd64.deb
  to main/u/unixodbc/libodbc1_2.2.14p2-4_amd64.deb
odbcinst1debian2_2.2.14p2-4_amd64.deb
  to main/u/unixodbc/odbcinst1debian2_2.2.14p2-4_amd64.deb
odbcinst_2.2.14p2-4_amd64.deb
  to main/u/unixodbc/odbcinst_2.2.14p2-4_amd64.deb
unixodbc-dev_2.2.14p2-4_amd64.deb
  to main/u/unixodbc/unixodbc-dev_2.2.14p2-4_amd64.deb
unixodbc_2.2.14p2-4.diff.gz
  to main/u/unixodbc/unixodbc_2.2.14p2-4.diff.gz
unixodbc_2.2.14p2-4.dsc
  to main/u/unixodbc/unixodbc_2.2.14p2-4.dsc
unixodbc_2.2.14p2-4_amd64.deb
  to main/u/unixodbc/unixodbc_2.2.14p2-4_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 604387@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Steve Langasek <vorlon@debian.org> (supplier of updated unixodbc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 17 Oct 2011 17:34:33 +0000
Source: unixodbc
Binary: unixodbc libodbc1 unixodbc-dev odbcinst1debian2 odbcinst
Architecture: source amd64
Version: 2.2.14p2-4
Distribution: unstable
Urgency: low
Maintainer: Steve Langasek <vorlon@debian.org>
Changed-By: Steve Langasek <vorlon@debian.org>
Description: 
 libodbc1   - ODBC library for Unix
 odbcinst   - Helper program for accessing odbc ini files
 odbcinst1debian2 - Support library for accessing odbc ini files
 unixodbc   - Basic ODBC tools
 unixodbc-dev - ODBC libraries for UNIX (development files)
Closes: 604387
Changes: 
 unixodbc (2.2.14p2-4) unstable; urgency=low
 .
   * Add libltdl/config.sub to debian/clean
   * exe/isql.c, exec/odbcinst.c, exe/iusql.c: fix passing of usage
     information to printf, so that we don't fail the checks for unsafe
     format string handling.
   * Drop the Qt library and unixodbc-bin, now split into a separate source
      upstream.  Closes: #604387.
Checksums-Sha1: 
 4b131b0630a5a8c0039e060d51e3292fb39636c8 2100 unixodbc_2.2.14p2-4.dsc
 efdce88aa44a776a8e195aa8ee63dee2a5ee4ace 551220 unixodbc_2.2.14p2-4.diff.gz
 95c1d9f6a7a09f448830ad8e1a4e2851d3f9e42b 53026 unixodbc_2.2.14p2-4_amd64.deb
 316c38374d18e638521ce12fb96bb168c13687cc 251858 libodbc1_2.2.14p2-4_amd64.deb
 f1de63880c29816b0d47d049a874eaaf56ae0acc 366842 unixodbc-dev_2.2.14p2-4_amd64.deb
 655d194fad7646679be2873fb70c85cee9eb5ec9 80448 odbcinst1debian2_2.2.14p2-4_amd64.deb
 0aa9a039b861b47cc56096e45c7e091faf370b65 40582 odbcinst_2.2.14p2-4_amd64.deb
Checksums-Sha256: 
 7b2ddfe45af91f756839ffb7f0ae44bddfe6ebb4ad995b79b7a7f06e6fe89833 2100 unixodbc_2.2.14p2-4.dsc
 874b08926164cf4a619c976184ddaa72facbf8823139cee80123e2da3506e535 551220 unixodbc_2.2.14p2-4.diff.gz
 da0d65937cf54e17327448e313a5b71f266b6f7920c8700ef290343e6cfa934a 53026 unixodbc_2.2.14p2-4_amd64.deb
 723804658e039d385eb945a60afea5db57e6bae3d6978e1e867fa5cedc9123eb 251858 libodbc1_2.2.14p2-4_amd64.deb
 24567d3dc843a8453a26f1d79beed8a4214305ffc2e4ad2ee49244497ac79448 366842 unixodbc-dev_2.2.14p2-4_amd64.deb
 e4d156338cec488b5268f9a28b340518dedd793ca04dd06a141c8c241cabcab9 80448 odbcinst1debian2_2.2.14p2-4_amd64.deb
 08f770f7ed1fd5b10c20d08b4c11d92b18c34c1e17904a21cc00b1ff9f09826b 40582 odbcinst_2.2.14p2-4_amd64.deb
Files: 
 d61df9d39198b50a2d5eb57adf15a1f7 2100 libs optional unixodbc_2.2.14p2-4.dsc
 d2008484684e6c286a279213ae1b503c 551220 libs optional unixodbc_2.2.14p2-4.diff.gz
 43bc80bb6450a4f051a8afe8e6f37a3b 53026 database optional unixodbc_2.2.14p2-4_amd64.deb
 c98248a9ace627916ec4aff3621f3c39 251858 libs optional libodbc1_2.2.14p2-4_amd64.deb
 152afb817281a56d7253f22d3f0e3d9c 366842 devel extra unixodbc-dev_2.2.14p2-4_amd64.deb
 7419aae3cc39cfa1c50273ddf4004fde 80448 libs optional odbcinst1debian2_2.2.14p2-4_amd64.deb
 f41521acb45c098ad78d7696cd533e01 40582 libs optional odbcinst_2.2.14p2-4_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIVAwUBTpxri1aNMPMhshM9AQiXFhAAmmerz9RxZ1HOCBJ9ec8gHXTXposa/kaa
7JPB3dH6nL3cI7nQGc6m/TmSOZ2LhjOYikgrZPFoc0/DoUcbngR/1LMCW/3HfLLO
6yHQbMb2GNGZsTlt6KuDXpAQY1ui3fZ+Z8V50FOlC6MeeEciQawkwJ1yaLYXIPTt
dA5Ai6hpIyDXod7ygaErqlYFqE0C/6L+cVRiZ6LaDiXTyuIjVoF3Dsd6b/E6+qxL
gmOoHiR+wT7mzPCV/l32bqzxTqTi4kQJ/z+IiJUCCMMEG1kCch1WpEIKb+Ugxpud
0T8JfsJnMCXBK5pUeditp5etISGKvyEcK98TSS/F+1nFsouhWFVJKojcH/JQGTXe
U9sCKT9X8+UfZpq72MrPn6ddNcyzYSkeqrCCJgKyNlB9I1Of9h0M3Pix9ZExtRhq
dTD1KzF90Ze+dh1101/3QB0nCaeyP9AmokG/gSq2S2gCpZrnsF7Q+8pO7ox3Fi4F
1LWpSmi7kmaY6kIn+liyMs2GOkTAxIQxW5neMVH64bL3g5EJwUopH6RF4DJQPVP3
fJdjZEEY9qhlOZWvzTaq35IU5sHK0U7WxC1KtdvFWgxa2fm5FeSmEUeKx/NuiK1Q
Bcx5aXf403HKFthqKulOG565X8HbMEFeGBpAg0J5eNOtxDowDFo69NG7/bQbuFDS
NQT4LVjWIAQ=
=LO1w
-----END PGP SIGNATURE-----





Forcibly Merged 604387 639870. Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. (Mon, 17 Oct 2011 19:21:10 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 17 Dec 2011 07:36:16 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 16:46:38 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.